# Get Active Alerts Retrieve specific system alerts that match the criteria you provide. ![](https://docs.equinix.com/assets/images/get-active-alerts-1a54cef86fa5a71febd09af2d9f9c16a.png) ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. ## Searching System Alerts[​](#searching-system-alerts "Direct link to Searching System Alerts") To search system alerts that match the search criteria you provide, send a `POST` request to the [`/smartview/v2/systemAlerts/search`](https://docs.equinix.com/api-catalog/smartviewv2/dcim-system-alert/getalerts.md) endpoint. Specify the search criteria in the body of the request. Sample cURL Request - retrieve active system alerts: ``` curl -X POST 'https://api.equinix.com/smartview/v2/systemAlerts/search' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "filter": {         "and": [             {                 "property": "/status",                 "operator": "=",                 "values": [                     "ACTIVE"                 ]             }         ]     },     "pagination": {         "offset": 0,         "limit": 50     } }' ``` Sample Response: ``` {     "data": [         {             "id": 1931,             "alertUid": "LD9.Generator-DH09-PG2:gensetavailableinauto#DIGITAL:ALARM",             "traceUid": "1687495706640/LD9.Generator-DH09-PG2:gensetavailableinauto#DIGITAL:ALARM",             "assetTagUid": "LD9.Generator-DH09-PG2:gensetavailableinauto",             "assetTagDisplayName": "Genset Available In Auto",             "status": "ACTIVE",             "value": {                 "alertTagValue": "true",                 "alertTagValueDisplayName": "OPEN",                 "activeAlertTagValueDisplayName": "OPEN",                 "currentTagValue": "CLOSED"             },             "asset": {                 "ibx": "LD9",                 "assetUid": "LD9.Generator-DH09-PG2",                 "assetType": "Generator",                 "assetClassification": "Electrical",                 "assetRegion": null,                 "assetUnderMaintenance": false             },             "configuration": {                 "thresholdValue": "1",                 "thresholdValueDisplayName": "OPEN",                 "unitOfMeasurement": "&",                 "thresholdType": "DIGITAL",                 "conditionName": "ALARM",                 "configurationVersion": "1.0"             },             "activeProcessing": {                 "edgeCollectedOn": "2023-06-23T04:48:26.640Z",                 "tagCalculationJobProcessedOn": "2023-06-23T04:48:26.840Z",                 "processingStartOn": "2023-06-23T04:49:01.182223Z",                 "processingEndOn": "2023-06-23T04:49:01.282301Z",                 "publishedOn": "2023-06-23T04:49:01.282301Z"             },             "inactiveProcessing": {                 "edgeCollectedOn": null,                 "tagCalculationJobProcessedOn": null,                 "processingStartOn": null,                 "processingEndOn": null,                 "publishedOn": null             }         },         {             "id": 9684,             "alertUid": "LD4.UPS-4-2-G-15:lowbatteryalarm#DIGITAL:ALARM",             "traceUid": "1687474008537/LD4.UPS-4-2-G-15:lowbatteryalarm#DIGITAL:ALARM",             "assetTagUid": "LD4.UPS-4-2-G-15:lowbatteryalarm",             "assetTagDisplayName": "Low Battery Alarm",             "status": "ACTIVE",             "value": {                 "alertTagValue": "true",                 "alertTagValueDisplayName": "OPEN",                 "activeAlertTagValueDisplayName": "OPEN",                 "currentTagValue": "OPEN"             },             "asset": {                 "ibx": "LD4",                 "assetUid": "LD4.UPS-4-2-G-15",                 "assetType": "UPS",                 "assetClassification": "Electrical",                 "assetRegion": null,                 "assetUnderMaintenance": false             },             "configuration": {                 "thresholdValue": "1",                 "thresholdValueDisplayName": "OPEN",                 "unitOfMeasurement": "&",                 "thresholdType": "DIGITAL",                 "conditionName": "ALARM",                 "configurationVersion": "1.0"             },             "activeProcessing": {                 "edgeCollectedOn": "2023-06-22T22:46:48.537Z",                 "tagCalculationJobProcessedOn": "2023-06-22T22:46:48.737Z",                 "processingStartOn": "2023-06-22T22:47:37.722099Z",                 "processingEndOn": "2023-06-22T22:47:37.802681Z",                 "publishedOn": "2023-06-22T22:47:37.802681Z"             },             "inactiveProcessing": {                 "edgeCollectedOn": null,                 "tagCalculationJobProcessedOn": null,                 "processingStartOn": null,                 "processingEndOn": null,                 "publishedOn": null             }         }     ],     "pagination": {         "offset": 20,         "limit": 10,         "total": 2     } } ``` ## Getting All System Alerts[​](#getting-all-system-alerts "Direct link to Getting All System Alerts") To get all system alerts, send a `GET` request to the [`/smartview/v2/systemAlerts/search`](https://docs.equinix.com/api-catalog/smartviewv2/dcim-system-alert/postalerts.md) endpoint. Pagination and filtering criteria are available as query parameters.